document.getElementById('scroll-to-top').onclick = function () {
  var myDiv = document.getElementById('scroll-here');
  scrollTo(document.body, myDiv.offsetTop, 100);
}

function scrollTo(element, to, duration) {
  if ( duration < 0 ) return;
  var difference = to - element.scrollTop;
  var perTick = difference / duration * 2;

  setTimeout(function() {
    element.scrollTop = element.scrollTop + perTick;
    scrollTo(element, to, duration - 2);
  }, 10);
}
